// lqtermedit.cpp

#include "lqtermedit.h"
#include <QEvent>
#include <stdio.h>
#include "lqminiterm.h"
#include <QCursor>

void visit_lqTermEdit()
{
}

/*! \brief makes sure the cursor is at the end of the line when newlines are processed 
  In Designer, promote a QPlainTextEdit to an lqTermEdit to use.  All other key press
  events are forwarded to the lqMiniTerm::LoopFunc.  
*/

void lqTermEdit::keyPressEvent(QKeyEvent *e)
{
  // QTextEdit(1,1,1,1);
  // QKeyEvent(1,1,1,1,1);
  /*
  *  home    key:1000010 scan code:6e mods 10
  *  end     key:1000011 scan code:73 mods 10
  *  left    key:1000012 scan code:71 mods 10
  *  right   key:1000014 scan code:72 mods 10
  *  up      key:1000013 scan code:6f mods 10
  *  down    key:1000015 scan code:74 mods 10
  *  return  key:1000004 scan code:24 mods 10 
  *  enter   key:1000005 scan code:68 mods 10
  */

//    printf("key:%x scan code:%x mods %x native vkey: %x\n", 
//           e->key(), e->nativeScanCode(), 
//           e->nativeModifiers(), e->nativeVirtualKey());
  if((e->key() == 0x1000004) || (e->key() == 0x1000005)) // newline
    moveCursor(QTextCursor::EndOfLine);
  if(term->handler(term, msg_onKeyPress, e->type(), e))
    return;
  else    
    QPlainTextEdit::keyPressEvent(e);
}

  